Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
curl-7.25.0-r1 update
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 256

PostPosted: Tue Jun 19, 2012 6:59 pm    Post subject: curl-7.25.0-r1 update Reply with quote

moin moin,

ich möchte updaten und bekomme folgende meldung mit curl. die ich nicht ganz verstehe.

net-misc/curl:0

(net-misc/curl-7.25.0-r1::gentoo, ebuild scheduled for merge) conflicts with
net-misc/curl[ssl,-gnutls] required by (sci-misc/boinc-6.12.42::gentoo, installed)

in package.use habe ich folgende line:

net-misc/curl ssl -gnutls

ob mit oder ohne diesen eintrag die meldung ändert sich nicht.
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
forrestfunk81
Guru
Guru


Joined: 07 Feb 2006
Posts: 483
Location: münchen.de

PostPosted: Tue Jun 19, 2012 11:06 pm    Post subject: Reply with quote

Hast du vielleicht noch eine zweite Zeile in package.use mit "net-misc/curl gnutls"?

Ansonsten bekommst du vllt mit equery heraus, welches Paket auf curl mit gnutls besteht:

Code:
equery depends curl

_________________
# cd /pub/
# more beer
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Tue Jun 19, 2012 11:52 pm    Post subject: Reply with quote

Es liegt vermutlich daran das die >=net-misc/curl-7.25.0-r1 Versionen kein gnutls USE-Flag haben, und somit auch nicht die (laut boinc-6.12.42.ebuild) geforderten
"net-misc/curl[ssl,-gnutls] required by (sci-misc/boinc-6.12.42::gentoo, installed"
Abhängigkeiten mit höheren net-misc/curl Versionen erfüllt werden können.

Siehe zb via
Code:
equery u net-misc/curl -a
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 256

PostPosted: Wed Jun 20, 2012 4:03 pm    Post subject: Reply with quote

danke für die antworten.

so hier mal die ausgaben der genannten befehle:

Code:
equery depends curl


app-crypt/gnupg-2.0.17 (>=net-misc/curl-7.10)
(!static ? >=net-misc/curl-7.10)
app-office/libreoffice-3.5.4.2-r1 (>=net-misc/curl-7.21.4)
app-text/poppler-0.18.4-r1 (curl ? net-misc/curl)
dev-cpp/libcmis-0.1.0 (net-misc/curl)
dev-python/pycurl-7.19.0 (>=net-misc/curl-7.19.0)
dev-util/cmake-2.8.7-r5 (>=net-misc/curl-7.20.0-r1[ssl])
dev-vcs/git-1.7.3.4-r1 (curl ? net-misc/curl)
media-gfx/gimp-2.6.12 (curl ? net-misc/curl)
media-libs/libopenraw-0.0.9 (test ? net-misc/curl)
media-libs/raptor-2.0.7 (curl ? net-misc/curl)
media-plugins/audacious-plugins-3.2.2-r1 (scrobbler ? net-misc/curl)
media-sound/qmmp-0.5.6 (scrobbler ? net-misc/curl)
media-sound/vorbis-tools-1.4.0 (ogg123 ? net-misc/curl)
media-video/gnome-mplayer-1.0.6 (musicbrainz ? net-misc/curl)
sci-geosciences/googleearth-6.2.2.6613 (net-misc/curl)
sci-misc/boinc-6.12.42 (net-misc/curl[ssl,-gnutls])
www-client/firefox-13.0 (crashreporter ? net-misc/curl)
www-plugins/adobe-flash-11.2.202.236 (x86 ? net-misc/curl)
(64bit ? net-misc/curl)
(!multilib ? net-misc/curl)
www-plugins/gecko-mediaplayer-1.0.6 (curl ? net-misc/curl)

Code:
equery u net-misc/curl -a

* Found these USE flags for net-misc/curl-7.25.0-r1:
U I
- - ares : Enabled c-ares dns support
- - curl_ssl_axtls : Use axTLS
- - curl_ssl_cyassl : Use CyaSSL
- - curl_ssl_gnutls : Use GnuTLS
- - curl_ssl_nss : Use Mozilla's Network Security Services
+ - curl_ssl_openssl : Use OpenSSL
- - curl_ssl_polarssl : Use Polar SSL
- - idn : Enable support for Internationalized Domain Names
+ + ipv6 : Adds support for IP version 6
+ + kerberos : Adds kerberos support
- - ldap : Adds LDAP support (Lightweight Directory Access Protocol)
- - ssh : Enabled SSH urls in curl using libssh2
+ + ssl : Enable crypto engine support (via openssl if USE='-gnutls -nss')
- - static-libs : Build static libraries
- - test : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this
internally, so don't set it in make.conf/package.use anymore
+ + threads : Adds threads support for various packages. Usually pthreads

Quote:
Es liegt vermutlich daran das die >=net-misc/curl-7.25.0-r1 Versionen kein gnutls USE-Flag haben, und somit auch nicht die (laut boinc-6.12.42.ebuild) geforderten
"net-misc/curl[ssl,-gnutls] required by (sci-misc/boinc-6.12.42::gentoo, installed"
Abhängigkeiten mit höheren net-misc/curl Versionen erfüllt werden können.


das heisst für mich ich sollte das update von curl erstmal blocken, solange bis das boinc die voraussetzungen erfüllt?
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Jun 20, 2012 7:03 pm    Post subject: Reply with quote

Linubie wrote:
Quote:
Es liegt vermutlich daran das die >=net-misc/curl-7.25.0-r1 Versionen kein gnutls USE-Flag haben, und somit auch nicht die (laut boinc-6.12.42.ebuild) geforderten
"net-misc/curl[ssl,-gnutls] required by (sci-misc/boinc-6.12.42::gentoo, installed"
Abhängigkeiten mit höheren net-misc/curl Versionen erfüllt werden können.


das heisst für mich ich sollte das update von curl erstmal blocken, solange bis das boinc die voraussetzungen erfüllt?

Ja, es ist vermutlich das beste bzw viel was anderes bleibt wohl nicht übrig.

Es wird aber auch schon an einer neuen boinc Version gearbeitet, siehe
https://bugs.gentoo.org/show_bug.cgi?id=412437
und
https://bugs.gentoo.org/show_bug.cgi?id=411463
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum